<p class="mb-1">
    Installation for Dragon Knight is a simple two-step process: 
    set up the database tables, then create the admin user. After 
    that, you're done.
</p>

<p class="mb-1">
    You have two options for database setup: complete or partial.

    <ul>
        <li>
            <b>Complete Setup</b> includes table structure and all 
            default data (items, drops, monsters, levels, spells, 
            towns) - after complete setup, the game is totally 
            ready to run.
        </li>
        <li>
            <b>Partial Setup</b> only creates the table structure, 
            it does not populate the tables - use this if you are 
            going to be creating or importing your own customized 
            game data later.
        </li>
    </ul>
</p>

<p class="mb-1">
    Click the appropriate button below for your preferred installation method.
    <form action="/install/database" method="post">
        <button type="submit" name="mode" value="complete">Complete Setup</button><br>
        - OR - <br>
        <button type="submit" name="mode" value="partial">Partial Setup</button>
    </form>
</p>

<div class="alert is-danger my-2">
	<b>WARNING:</b> if the database already exists, clicking either
	option will delete all existing data. This is not reversible.
</div>
